std::__future_base::_Result< _Res > Struct Template Reference
Inheritance diagram for std::__future_base::_Result< _Res >:
[legend]

## Public Types

typedef _Res | result_type

## Public Member Functions

void | _M_set (_Res &&__res)
void | _M_set (const _Res &__res)
_Res & | _M_value () noexcept

## Public Attributes

exception_ptr | _M_error

## Detailed Description

### template<typename _Res>
struct std::__future_base::_Result< _Res >

A result object that has storage for an object of type _Res.

Definition at line 227 of file future.

The documentation for this struct was generated from the following file:

- future